Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#168 Filter tool gives an error when trying to paste into qucs

0.0.18
closed-fixed
nobody
None
5
2014-07-08
2014-07-07
Fred
No

When creating a filter with the qucsfilter tool, an error window pops up stating "Wrong Document Version" Build is from git. Pulled on 07/06/2014

Cheers,

Fred

Related

Bugs: #168

Discussion

  • Fred
    Fred
    2014-07-08

    Just checked my build/ dir (used cmake to build qucs). It looks like config.h in build/qucs-filter/ and some of the other source directories in build/ do not have PACKAGE_VERSION set so, in this case, when qucsfilter generates output there is no version in the header. (checked by pasting the text from the clipboard into a text editor). Changing the offending config.h files and re building corrected the problem but this is a miserable temporary hack at best.

    Hope this helps!

    Fred

     
  • Guilherme
    Guilherme
    2014-07-08

    Thanks for the report. CMake support is still a bit experimental...
    Indeed these are not configured properly: qucs-edit, qucs-filter, qucs-help, qucs-lib
    I will take a look at the CMakeLists files.

     
  • Guilherme
    Guilherme
    2014-07-08

    Should be fixed with commit: b71c224449b

     
  • Guilherme
    Guilherme
    2014-07-08

    • status: open --> closed-fixed
     
  • Fred
    Fred
    2014-07-08

    Thank you for the fix. I am building qucs right now. Looks like everything is good though.

    Just a note. I wasn't able to build successfully using configure, make, etc. The build failed when trying to to build files that weren't generated by adms for some reason. I'll try it again this week and issue a new bug report if necessary. Right now, cmake works so I will stay with that.

    Cheers,

    Fred

     
  • Guilherme
    Guilherme
    2014-07-08

    We have ADMS as a git submodule on our repo.
    Running these commands on the top dir of the cloned Qucs repo will download the misssing ADMS dependency:

    git submodule init
    git submodule update
    

    See https://github.com/Qucs/qucs/blob/master/README.md